net.sf.okapi.common.exceptions

## Class OkapiIOException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - net.sf.okapi.common.exceptions.OkapiException
        - - net.sf.okapi.common.exceptions.OkapiIOException

- All Implemented Interfaces:
    java.io.Serializable

      public class OkapiIOException
      extends OkapiException

  Signals a general IO error. This is generally the result of some kind of IO-related exception occurring inside an Okapi component.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OkapiIOException()` Creates an empty new OkapiIOException object.
    `OkapiIOException(java.lang.String message)` Creates a new OkapiIOException object with a given message.
    `OkapiIOException(java.lang.String message, java.lang.Throwable cause)` Creates a new OkapiIOException object with a given message and a given parent exception cause.
    `OkapiIOException(java.lang.Throwable cause)` Creates a new OkapiIOException object with a given parent exception cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OkapiIOException

          public OkapiIOException()

      Creates an empty new OkapiIOException object.

    - #### OkapiIOException

          public OkapiIOException(java.lang.String message)

      Creates a new OkapiIOException object with a given message.
      Parameters:
        `message` - text of the message.

    - #### OkapiIOException

          public OkapiIOException(java.lang.Throwable cause)

      Creates a new OkapiIOException object with a given parent exception cause.
      Parameters:
        `cause` - the parent exception cause.

    - #### OkapiIOException

          public OkapiIOException(java.lang.String message,
                          java.lang.Throwable cause)

      Creates a new OkapiIOException object with a given message and a given parent exception cause.
      Parameters:
        `message` - the message.
        `cause` - the cause.